Bug 18003 - Change use of "relevant namespace object" term re workers
Change use of "relevant namespace object" term re workers
Status: RESOLVED FIXED
Product: WebAppsWG
Classification: Unclassified
Component: Web Workers (editor: Ian Hickson)
unspecified
Other other
: P3 normal
: ---
Assigned To: Ian 'Hixie' Hickson
public-webapps-bugzilla
http://www.whatwg.org/specs/web-apps/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 07:59 UTC by contributor
Modified: 2012-09-14 16:58 UTC (History)
9 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-07-18 07:59:50 UTC
This was was cloned from bug 15158 as part of operation convergence.
Originally filed: 2011-12-12 23:32:00 +0000

================================================================================
 #0   contributor@whatwg.org                          2011-12-12 23:32:12 +0000 
--------------------------------------------------------------------------------
Specification: http://www.whatwg.org/specs/web-apps/current-work/multipage/workers.html
Multipage: http://www.whatwg.org/C#dedicated-workers-and-the-dedicatedworkerglobalscope-interface
Complete: http://www.whatwg.org/c#dedicated-workers-and-the-dedicatedworkerglobalscope-interface

Comment:
Now that the "relevant namespace object" term has gone from Web IDL (since
modules have been removed) some text around here needs to be rewritten. You
probably want to refer to you don't need to mention the ECMAScript global
object specifically, but instead you might want to refer to Web IDL's
#dfn-expose, which can be used to control which interfaces are exposed in a
particular ECMAScript global environment. Just say "ECMAScript global
environments for dedicated workers must not _expose_ the
SharedWorkerGlobalScope interface." and vice versa. I think that should be
sufficient.

Posted from: 150.101.156.250
User agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:11.0a1) Gecko/20111209 Firefox/11.0a1
================================================================================
Comment 1 Silvia Pfeiffer 2012-09-14 05:03:20 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
   you are satisfied with this response, please change the state of
   this bug to CLOSED. If you have additional information and would
   like the Editor to reconsider, please reopen this bug. If you would
   like to escalate the issue to the full HTML Working Group, please
   add the TrackerRequest keyword to this bug, and suggest title and
   text for the Tracker Issue; or you may create a Tracker Issue
   yourself, if you are able to do so. For more details, see this
   document:       http://dev.w3.org/html5/decision-policy/decision-policy.html

   Status: Accepted
   Change Description:
https://github.com/w3c/html/commit/f0fda0889db7175d9e4818fb6580606398941e64
   Rationale: accepted WHATWG fix
Comment 2 Arthur Barstow 2012-09-14 11:29:47 UTC
Silvia - I don't see a new checkin in the Workers spec's CVS repository <http://dev.w3.org/cvsweb/html5/workers/Overview.html>. 

Was this bug fixed in some previous revision?
Comment 3 Silvia Pfeiffer 2012-09-14 12:37:23 UTC
Oops, I'm sorry I got this mixed up as a bug of the HTML spec. Instead, it's
part of the WebAppsWG. It has been applied by Ian in
https://www.w3.org/Bugs/Public/show_bug.cgi?id=15158 , so you might want to
check if that text has been pulled into the W3C spec.

Sorry for the confusion (again).
Comment 4 Arthur Barstow 2012-09-14 16:58:25 UTC
I checked the CVS log and this bug was fixed in r1.338 (9-Aug-2012) <http://dev.w3.org/cvsweb/html5/workers/Overview.html.diff?r1=1.337;r2=1.338;f=h> (aka r/7226) so I'm changing it back to fixed.